##### Карта памяти stm32
**Sector 0: 0x0800 0000 - 0x0800 3FFF (16кБт)
Sector 1: 0x0800 4000 - 0x0800 7FFF (16кБт) - Основные настройки (SETTINGS)
Sector 2: 0x0800 8000 - 0x0800 BFFF (16кБт) - Системные настройки (SETTINGS_SYS)
Sector 3: 0x0800 C000 - 0x0800 FFFF (16кБт)
Sector 4: 0x0801 8000 - 0x0801 FFFF (64кБт)
Sector 5: 0x0802 0000 - 0x0803 FFFF (128кБт)
Sector 6: 0x0804 0000 - 0x0805 FFFF (128кБт)
............................................
Sector 11: 0x080E 0000 - 0x080F FFFF (128кБт)**
```c
// Адреса структур настроек

#define SYS_SECTOR         		        0x08008000
#define SYS_CRC_ADDRESS                 0x0800BF9C
```


##### Карта памяти artery
0x0800 0000 - 0x0801 FFFF (128кБт) - **IAP**
0x0802 0000 - 0x0802 07FF (2кБт) - **Основные настройки (SETTINGS)**
0x0802 0800 - 0x0802 0FFF (2кБт) - **Системные настройки (SETTINGS_SYS)**
0x0802 1000 - 0x0809 FFFF (640кБт) - **FW**
**Итого: 772 кБт - занято**
```c
// Адреса структур настроек

#define SYS_SECTOR         		        0x08020800
#define SYS_CRC_ADDRESS                 0x08020FFC
#define SETTINGS_SECTOR                 0x08020000
```


##### TODO
- [x] работа с настройками
	- [x] внутренний модуль artery для работы с CRC
	- [x] отдельные сектора для системных и основных настроек
	- [x] системные настройки
	- [x] основные настройки
- [x] Artery ID
- [ ] backup регистры
- [ ] RTC
- [ ] SNTP
- [x] настроить кучу FreeRTOS. Разобраться с RAM artery
	- [x] IAP
	- [x] FW
- [ ] GSM - uart драйвер
- [x] Кнопки
- [ ] LED
	- [x] Основное
	- [ ] Некоторые функции из других модулей
- [ ] LwIP
- [x] ethernet
- [x] power manager
- [ ] определение ревизий
- [ ] параметры parameters.c
- [ ] файл netconf
- [ ] web_params_api
- [ ] upload.c
- [x] UDP анонсы
- [x] uptime
- [ ] ping со стороны Метролога
- [ ] log
- [ ] http server
- [x] Random generator
- [ ] monitor
- [x] BUZZER


```js
function fancyAlert(arg) {
  if(arg) {
    $.facebox({div:'#foo'})
  }
}
```

